Skip to main content
PUT
Change a PIX key entry

Authorizations

Authorization
string
header
required

JWT bearer token issued by the identity provider.

Path Parameters

entryId
string
required

The PIX key value (URL-encoded).

Example:

"foo@bar.com"

Body

application/json
accountId
string
required

The CRM account id of the key owner (resolves the server-side ISPB).

Example:

"acc-123"

reason
integer<int64>
required

Change reason (0=Customer Request,2=Branch Transfer,6=Reconciliation,8=Receita Federal Validation). EVP keys must not use 0.

Example:

2

accountOpeningDate
string

The new account's opening timestamp (RFC3339).

Example:

"2020-01-10T11:30:17.001Z"

newAccount
string

The new account number to associate with the key.

Example:

"0007654321"

newAccountType
integer<int64>

The new account type (0=Checking,1=Salary,2=Savings,3=Payment,4=PI).

Example:

0

newBranch
string

The new branch number to associate with the key.

Example:

"0001"

newName
string

The new owner full name / legal name.

Example:

"Empresa Nova"

newTradeName
string

The new owner trade name (sent only for a corporate owner).

Example:

"Fantasia Nova"

Response

OK

key
string
required

The PIX key (unchanged).

Example:

"foo@bar.com"

claimOpenedAt
string

When a possession/portability claim was opened by the change (RFC3339), if any.

Example:

"2026-01-03T00:00:00Z"

createdAt
string

When the key was created (RFC3339).

Example:

"2026-01-01T00:00:00Z"

ownershipStartAt
string

When ownership of the key began (RFC3339).

Example:

"2026-01-02T00:00:00Z"